all:
	g++ -g -Wall -fPIC -DSHARED_MODULE -c mod.cxx
	g++ -g -shared -Wall -Wl,-soname,libmod.so.0 -o libmod.so.0.0.0 mod.o 
	g++ -g -Wl,-export-dynamic -o test test.cxx -ldl -lstdc++
	@echo Run: ./test
clean:
	rm test *.o *.so.*
